display.setStatusBar(display.HiddenStatusBar);

local pokerMachine = display.newImage("cardsBG.png",true)
pokerMachine.anchorX, pokerMachine.anchorY = 0,0
local suits = {"h","d","c","s"}; -- hearts = h,diamonds =d,clubs =c,spades=s
local deck; -- The deck of Cards
local playerHand = {} --Holds the Players Cards
local cashOutButton;
local betMaxButton; 
local betButton;
local dealButton;
local holdButtons = {} --Holds the "Hold" buttons
local isNewGame = true;
local MAXBETAMOUNT  = 15 -- Max amount player can bet
local instructionsText;
local betAmount = 0; -- How much the player has bet so far
local creditText;
local betText;
local winText;
local gamesText;
local gameData = {} -- This will hold game data -- The credits and number of games played

function setup()
    math.randomseed(os.time());
	setupButtons()
	setupTextFields()
end 

function setupButtons()
    cashOutButton = display.newImage("buttonCashOut.png",89,572);
	cashOutButton.anchorX, cashOutButton.anchorY = 0,0
	local holdButtonPosition = 186
	for i=1,5 do
		local tempHoldButton = display.newImage("buttonHold1.png",holdButtonPosition + (93*(i-1)),572);
		tempHoldButton.buttonNumber = i;
		tempHoldButton.anchorX, tempHoldButton.anchorY = 0,0
		table.insert(holdButtons,tempHoldButton);
	end
	betMaxButton = display.newImage("buttonBetMax.png",679,572);
	betMaxButton.anchorX, betMaxButton.anchorY = 0,0
    betButton = display.newImage("buttonBet.png",775,572);
    betButton.anchorX, betButton.anchorY = 0,0
    dealButton  = display.newImage("buttonDeal.png",869,572);
    dealButton.anchorX, dealButton.anchorY = 0,0
    instructionsText = display.newText( "", 400,400, native.systemFont, 30)
    instructionsText:setFillColor(0,0,0)
    enableBetButtons()
end 

function setupTextFields()
	instructionsText = display.newText( "", 400,400, native.systemFont, 30)
    instructionsText:setFillColor(0,0,0)
    
    creditText = display.newText("",800,185,native.SystemFont,22)
    creditText.width =150
    creditText.align = "right"
    creditText:setFillColor(255,0,0)
    
    betText = display.newText("",800,270,native.SystemFont,22)
    betText.width =150
    betText.align = "right"
    betText:setFillColor(255,0,0)
    
    winText = display.newText("",800,355,native.SystemFont,22)
    winText.width =150
    winText.align = "right"
    winText:setFillColor(255,0,0)
    
    gamesText = display.newText("",800,440,native.SystemFont,22)
    gamesText.width =150
    gamesText.align = "right"
    gamesText:setFillColor(255,0,0)
end

function enableDealButton()
	     
end

function disableDealButton()
	
end

function enableBetButtons()
	
end

function disableBetButtons()

end

function enableHoldButtons()
	
end

function disableHoldButtons()
	
end

function createDeck()
	deck = {};
	for i=1, 4 do
     	for j=1, 13 do
    	    local tempCard = suits[i]..j;
    	    table.insert(deck,tempCard);
     	end
    end
    
end

function holdCard(event)
	

end

function betMax()


end

function bet()

end

function doDeal()

end

function dealInitialHand()

end

function dealNewCards()

end

function getHand()

end

function newGame()

end

function awardWinnings(theHand, theAward)
	
end

 
function resetCardsYPosition()
	
end

function generateCard()
	
end

function getCard(cardIndex)
	
end

setup()
